Skip to main content
DELETE
/
v1
/
knowledge-bases
/
{kb_id}
/
sources
/
{source_id}
Delete a knowledge base source (file / URL / inline text)
curl --request DELETE \
  --url https://api.oneinbox.ai/v1/knowledge-bases/{kb_id}/sources/{source_id} \
  --header 'Authorization: Bearer <token>'
{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>",
      "input": "<unknown>",
      "ctx": {}
    }
  ]
}

Authorizations

Authorization
string
header
required

Your API key sent as a Bearer credential — Authorization: Bearer <api_key>, where <api_key> starts with oi_sk_ (create one via POST /v1/api-keys). Although the field is labelled 'token', paste your API key here. A dashboard JWT is also accepted on this header for the same endpoints.

Path Parameters

kb_id
string<uuid>
required
source_id
string<uuid>
required

Response

Successful Response